Last Comment Bug 360926 - Identity editor needs a confirmation dialog on 'Delete'
: Identity editor needs a confirmation dialog on 'Delete'
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Account Manager (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: Thunderbird 17.0
Assigned To: :aceman
:
Mentors:
Depends on:
Blocks: 792334 314806
  Show dependency treegraph
 
Reported: 2006-11-16 09:47 PST by Dave Belfer-Shevett
Modified: 2012-09-19 00:14 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (3.63 KB, patch)
2012-06-29 14:45 PDT, :aceman
bwinton: ui‑review-
Details | Diff | Review
patch v2 (5.57 KB, patch)
2012-07-18 14:35 PDT, :aceman
squibblyflabbetydoo: review+
iann_bugzilla: review+
bwinton: ui‑review+
Details | Diff | Review

Description Dave Belfer-Shevett 2006-11-16 09:47:56 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.7) Gecko/20060830 Firefox/1.5.0.7 (Debian-1.5.dfsg+1.5.0.7-2)
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.7) Gecko/20060830 Firefox/1.5.0.7 (Debian-1.5.dfsg+1.5.0.7-2)

When editing Identities, it is ridiculously simple to mistakenly delete an identity you've already setup.  Without a 'Cancel' button, this is an irreversible one-click function, with somewhat dire circumstances.

Either the Identities editor needs a 'cancel' function to undo changes, or the Delete button needs an 'Are you sure?' dialog.

Reproducible: Always

Steps to Reproduce:
1.Go to Accounts->Manage Identities
2.Spend 10 minutes setting up a new identity
3.Instead of hittin [ok], the mouse gets jostled and you hit Delete instead.
4.Curse loudly.

Actual Results:  
Identity is gone with no recourse.

Expected Results:  
Prompted with "Are you sure you want to delete this identity?"
Comment 1 Magnus Melin 2006-11-18 05:02:30 PST
Confirming RFE.
Comment 2 :aceman 2012-06-26 23:54:38 PDT
Bwinton, are you OK with this?

Mistakenly deleting and then recreating the identity may assign it a different id so existing messages referencing the old ID may now have a problem (like Drafts or Unsent). But for the user the identity will look the same (same address and other values) so he may not understand it.
Comment 3 :aceman 2012-06-29 14:45:09 PDT
Created attachment 638023 [details] [diff] [review]
patch
Comment 4 Blake Winton (:bwinton) (:☕️) 2012-07-06 07:59:21 PDT
Comment on attachment 638023 [details] [diff] [review]
patch

I think it's close, but not quite there.

As you can see in http://dl.dropbox.com/u/2301433/Screenshots/DeleteWhat.png there's no indication of which identity was selected (and indeed, it wasn't the "blaketestwinton@gmail.com" identity, so the dialog was both incomplete and misleading ;).  I suggest something like:
+-------------------------------------------------+
| Deleting identity for blaketestwinton@gmail.com |
|                                                 |
| Are you sure you want to delete the identity    |
| test@test.test?                                 |
|                                [Cancel]   [OK]  |
+-------------------------------------------------+

In general, people don't read dialogs, and so it would be way better if we could support an "Undo" here instead, but since I suspect that's much more work, I think going this way is the best we can do in the short term.

So, ui-r-, so that I can see the new dialog wording, but other than that, it seems okay.

Thanks,
Blake.
Comment 5 Jim Porter (:squib) 2012-07-18 14:01:05 PDT
(In reply to Blake Winton (:bwinton - Thunderbird UX) from comment #4)
> +-------------------------------------------------+
> | Deleting identity for blaketestwinton@gmail.com |
> |                                                 |
> | Are you sure you want to delete the identity    |
> | test@test.test?                                 |
> |                                [Cancel]   [OK]  |
> +-------------------------------------------------+

Let's use "Delete" instead of "OK" here. :)
Comment 6 :aceman 2012-07-18 14:35:09 PDT
Created attachment 643592 [details] [diff] [review]
patch v2

Yes, undo would need more thought. Maybe in a new bug if somebody requests it.

I fixed the strings and button as you both requested.
Comment 7 Blake Winton (:bwinton) (:☕️) 2012-07-23 13:05:53 PDT
Comment on attachment 643592 [details] [diff] [review]
patch v2

Looks good.  ui-r=me!

Thanks,
Blake.
Comment 8 Jim Porter (:squib) 2012-07-29 17:25:03 PDT
Comment on attachment 643592 [details] [diff] [review]
patch v2

Review of attachment 643592 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good. r=me
Comment 9 Jim Porter (:squib) 2012-08-02 23:48:57 PDT
Checked in: http://hg.mozilla.org/comm-central/rev/42234d57ebdc
Comment 10 Dave Belfer-Shevett 2012-08-03 07:25:34 PDT
As the originator of this bug almost 6 years ago, I'm ecstatic to see it resolved and committed.  Thank you everyone who worked on it!
Comment 11 :aceman 2012-08-03 10:09:32 PDT
Hi, thanks for your reply!
When you try a version of TB (17 and up) that has the bug fixed, please change the status to VERIFIED. Thanks.

Note You need to log in before you can comment on or make changes to this bug.